POST https://api.ap1.datadoghq.com/api/v2/agentless_scanning/accounts/azure https://api.ap2.datadoghq.com/api/v2/agentless_scanning/accounts/azure https://api.datadoghq.eu/api/v2/agentless_scanning/accounts/azure https://api.ddog-gov.com/api/v2/agentless_scanning/accounts/azure https://api.us2.ddog-gov.com/api/v2/agentless_scanning/accounts/azure https://api.uk1.datadoghq.com/api/v2/agentless_scanning/accounts/azure https://api.datadoghq.com/api/v2/agentless_scanning/accounts/azure https://api.us3.datadoghq.com/api/v2/agentless_scanning/accounts/azure https://api.us5.datadoghq.com/api/v2/agentless_scanning/accounts/azure
Descripción general Activa las opciones de escaneo sin agent para una suscripción de Azure.
OAuth apps require the org_management authorization scope to access this endpoint.
Solicitud Body Data (required)
Expand All
Single Azure scan options entry.
Attributes for Azure scan options configuration.
Indicates whether host compliance scanning is enabled.
Indicates if scanning of Azure Functions is enabled.
Indicates if scanning for vulnerabilities in containers is enabled.
Indicates if scanning for vulnerabilities in hosts is enabled.
The Azure subscription ID.
The type of the resource. The value should always be azure_scan_options.
Allowed enum values: azure_scan_options
default: azure_scan_options
{
"data" : {
"attributes" : {
"function" : true ,
"vuln_containers_os" : true ,
"vuln_host_os" : true
},
"id" : "12345678-90ab-cdef-1234-567890abcdef" ,
"type" : "azure_scan_options"
}
} Respuesta Created
Response object containing Azure scan options for a single subscription.
Expand All
Single Azure scan options entry.
Attributes for Azure scan options configuration.
Indicates whether host compliance scanning is enabled.
Indicates if scanning of Azure Functions is enabled.
Indicates if scanning for vulnerabilities in containers is enabled.
Indicates if scanning for vulnerabilities in hosts is enabled.
The Azure subscription ID.
The type of the resource. The value should always be azure_scan_options.
Allowed enum values: azure_scan_options
default: azure_scan_options
{
"data" : {
"attributes" : {
"compliance_host" : false ,
"function" : true ,
"vuln_containers_os" : true ,
"vuln_host_os" : true
},
"id" : "12345678-90ab-cdef-1234-567890abcdef" ,
"type" : "azure_scan_options"
}
} Too many requests
{
"errors" : [
"Bad Request"
]
} Ejemplo de código Copiar
## default
#
# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X POST "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/agentless_scanning/accounts/azure " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} " \
-d @- << EOF
{
"data": {
"attributes": {
"compliance_host": false,
"vuln_containers_os": true,
"vuln_host_os": true
},
"id": "12345678-90ab-cdef-1234-567890abcdef",
"type": "azure_scan_options"
}
}
EOF
// Create Azure scan options returns "Created" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
body := datadogV2 . AzureScanOptions {
Data : & datadogV2 . AzureScanOptionsData {
Attributes : & datadogV2 . AzureScanOptionsDataAttributes {
Function : datadog . PtrBool ( true ),
VulnContainersOs : datadog . PtrBool ( true ),
VulnHostOs : datadog . PtrBool ( true ),
},
Id : "12345678-90ab-cdef-1234-567890abcdef" ,
Type : datadogV2 . AZURESCANOPTIONSDATATYPE_AZURE_SCAN_OPTIONS ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
ctx = context . WithValue ( ctx , datadog . ContextAccessToken , os . Getenv ( "DD_BEARER_TOKEN" ))
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAgentlessScanningApi ( apiClient )
resp , r , err := api . CreateAzureScanOptions ( ctx , body )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AgentlessScanningApi.CreateAzureScanOptions`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `AgentlessScanningApi.CreateAzureScanOptions`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Create Azure scan options returns "Created" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AgentlessScanningApi ;
import com.datadog.api.client.v2.model.AzureScanOptions ;
import com.datadog.api.client.v2.model.AzureScanOptionsData ;
import com.datadog.api.client.v2.model.AzureScanOptionsDataAttributes ;
import com.datadog.api.client.v2.model.AzureScanOptionsDataType ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
defaultClient . setAccessToken ( System . getenv ( "DD_BEARER_TOKEN" ));
AgentlessScanningApi apiInstance = new AgentlessScanningApi ( defaultClient );
AzureScanOptions body =
new AzureScanOptions ()
. data (
new AzureScanOptionsData ()
. attributes (
new AzureScanOptionsDataAttributes ()
. function ( true )
. vulnContainersOs ( true )
. vulnHostOs ( true ))
. id ( "12345678-90ab-cdef-1234-567890abcdef" )
. type ( AzureScanOptionsDataType . AZURE_SCAN_OPTIONS ));
try {
AzureScanOptions result = apiInstance . createAzureScanOptions ( body );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling AgentlessScanningApi#createAzureScanOptions" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
"""
Create Azure scan options returns "Created" response
"""
from os import environ
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.agentless_scanning_api import AgentlessScanningApi
from datadog_api_client.v2.model.azure_scan_options import AzureScanOptions
from datadog_api_client.v2.model.azure_scan_options_data import AzureScanOptionsData
from datadog_api_client.v2.model.azure_scan_options_data_attributes import AzureScanOptionsDataAttributes
from datadog_api_client.v2.model.azure_scan_options_data_type import AzureScanOptionsDataType
body = AzureScanOptions (
data = AzureScanOptionsData (
attributes = AzureScanOptionsDataAttributes (
function = True ,
vuln_containers_os = True ,
vuln_host_os = True ,
),
id = "12345678-90ab-cdef-1234-567890abcdef" ,
type = AzureScanOptionsDataType . AZURE_SCAN_OPTIONS ,
),
)
configuration = Configuration ()
configuration . access_token = environ [ "DD_BEARER_TOKEN" ]
with ApiClient ( configuration ) as api_client :
api_instance = AgentlessScanningApi ( api_client )
response = api_instance . create_azure_scan_options ( body = body )
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Create Azure scan options returns "Created" response
require "datadog_api_client"
DatadogAPIClient . configure do | config |
config . access_token = ENV [ "DD_BEARER_TOKEN" ]
end
api_instance = DatadogAPIClient :: V2 :: AgentlessScanningAPI . new
body = DatadogAPIClient :: V2 :: AzureScanOptions . new ({
data : DatadogAPIClient :: V2 :: AzureScanOptionsData . new ({
attributes : DatadogAPIClient :: V2 :: AzureScanOptionsDataAttributes . new ({
function : true ,
vuln_containers_os : true ,
vuln_host_os : true ,
}),
id : "12345678-90ab-cdef-1234-567890abcdef" ,
type : DatadogAPIClient :: V2 :: AzureScanOptionsDataType :: AZURE_SCAN_OPTIONS ,
}),
})
p api_instance . create_azure_scan_options ( body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Create Azure scan options returns "Created" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_agentless_scanning ::AgentlessScanningAPI ;
use datadog_api_client ::datadogV2 ::model ::AzureScanOptions ;
use datadog_api_client ::datadogV2 ::model ::AzureScanOptionsData ;
use datadog_api_client ::datadogV2 ::model ::AzureScanOptionsDataAttributes ;
use datadog_api_client ::datadogV2 ::model ::AzureScanOptionsDataType ;
#[tokio::main]
async fn main () {
let body = AzureScanOptions ::new (). data (
AzureScanOptionsData ::new (
"12345678-90ab-cdef-1234-567890abcdef" . to_string (),
AzureScanOptionsDataType ::AZURE_SCAN_OPTIONS ,
)
. attributes (
AzureScanOptionsDataAttributes ::new ()
. function ( true )
. vuln_containers_os ( true )
. vuln_host_os ( true ),
),
);
let configuration = datadog ::Configuration ::new ();
let api = AgentlessScanningAPI ::with_config ( configuration );
let resp = api . create_azure_scan_options ( body ). await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Create Azure scan options returns "Created" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ({
authMethods : {
AuthZ : {
accessToken : process.env.DD_BEARER_TOKEN as string ,
},
},
});
const apiInstance = new v2 . AgentlessScanningApi ( configuration );
const params : v2.AgentlessScanningApiCreateAzureScanOptionsRequest = {
body : {
data : {
attributes : {
_function : true ,
vulnContainersOs : true ,
vulnHostOs : true ,
},
id : "12345678-90ab-cdef-1234-567890abcdef" ,
type : "azure_scan_options" ,
},
},
};
apiInstance
. createAzureScanOptions ( params )
. then (( data : v2.AzureScanOptions ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"